Package: org.codehaus.groovy.tools.shell.util

## [Java] Class Logger

- org.codehaus.groovy.tools.shell.util.Logger

- Provides a very, very basic logging API.

  Authors:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static IO` | `io` |
    `String` | `name` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Logger` | `create(Class type)`
    `` | `static Logger` | `create(Class type, String suffix)`
    `` | `void` | `debug(Object msg)`
    `` | `void` | `debug(Object msg, Throwable cause)`
    `` | `void` | `error(Object msg)`
    `` | `void` | `error(Object msg, Throwable cause)`
    `` | `boolean` | `isDebug()`
    `` | `boolean` | `isDebugEnabled()`
    `` | `void` | `warn(Object msg)`
    `` | `void` | `warn(Object msg, Throwable cause)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static IO io

    - #### public final String name

  - ### Method Detail

    - #### public static Logger create(Class type)

    - #### public static Logger create(Class type, String suffix)

    - #### public void debug(Object msg)

    - #### public void debug(Object msg, Throwable cause)

    - #### public void error(Object msg)

    - #### public void error(Object msg, Throwable cause)

    - #### public boolean isDebug()

    - #### public boolean isDebugEnabled()

    - #### public void warn(Object msg)

    - #### public void warn(Object msg, Throwable cause)